1.2

1.2

patch /v1/alerts/{id}/description

Description

Set the Alert Description

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
Alert ID
Example : 0ad6da92-634a-4f8c-932e-9d650599ab1e
stringNone
bodybody
required

AlertDescriptionSetRequest

Responses

HTTP CodeDescriptionSchema
200OKAlertDescriptionSetResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/alerts/{id}/description

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"

Request body

{
    "description": "Alert1 Description"
}

Example HTTP response

Response 200

{
    "description": "Alert1 Description",
    "id": "0ad6da92-634a-4f8c-932e-9d650599ab1e",
    "modified_at": "2026-03-13T02:34:40.006634"
}